#!/usr/local/bin/tsipp
#
# Transluent sphere in front of a cube.
#
# $Id: trans_sphere.tcl,v 1.3 1996/11/08 18:11:52 markd Exp $
#

source ../utils.tcl

ParseArgs

set granite [SippShaderGranite 0.4 0.3 1.0 100.0 {1.0 0.1 0.1} {0.1 0.1 0.1}]
set cube [SippCube 0.5 $granite]
SippObjectMove $cube {0.0 0.0 -1.5}

set glass [SippShaderBasic 0.4 0.6 0.2 {0.0 0.0 1.0} 0.6]
set sphere [SippSphere 1.0 25 $glass]

SippObjectAddSubobj WORLD [list $cube $sphere]

StdLights
StdRender {-1.0 1.0 5.0}

