#!/usr/local/bin/tsipp
#
# Truncated cone object, arbitrary axis rotated.
#
# $Id: axis_rotate_cone.tcl,v 1.4 1996/11/08 18:31:12 markd Exp $
#

source ../utils.tcl

ParseArgs

set shader [SippShaderBasic 0.4 0.6 0.2 {0.0 0.0 1.0}]

set obj [SippCone 2.0 1.0 3.0 40 $shader]
SippObjectRotate $obj {0 0 0} {1 2 1} R40

SippObjectAddSubobj WORLD $obj

StdLights
StdRender {12.5 0.0 12.5} {0.0 0.0 0.0}


